Bug 1021465 - Improper path to jline2
Improper path to jline2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: scala (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On: 1022097
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 07:06 EDT by Marek Goldmann
Modified: 2015-05-20 10:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.10.4-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-20 10:21:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use build-classpath to get the right path (2.45 KB, patch)
2013-10-21 07:06 EDT, Marek Goldmann
no flags Details | Diff

  None (edit)
Description Marek Goldmann 2013-10-21 07:06:27 EDT
Created attachment 814535 [details]
Use build-classpath to get the right path

Description of problem:

The current spec file uses a hardcoded path to jline2 and jansi jars. Besides this there is a typo which makes scala unusable on Rawhide now:

DEBUG: Error: Package: scala-2.10.3-3.fc21.noarch (fedora)
DEBUG:            Requires: /usr/share/java/jansi/jansi.jahr
DEBUG:  You could try using --skip-broken to work around the problem
DEBUG:  You could try running: rpm -Va --nofiles --nodigest
DEBUG: Child return code was: 1

Hardcoded paths should be replaced with build-classpath call so it'll be path dependent.

I'm including a patch that can be applied directly on master. This code works well on F19+ (haven't tested F18).
Comment 1 Jochen Schmitt 2013-10-21 15:18:41 EDT
Should been fixed in scala-2.10.3-4.fc21
Comment 2 Mikolaj Izdebski 2013-10-22 05:23:54 EDT
(In reply to Jochen Schmitt from comment #1)
> Should been fixed in scala-2.10.3-4.fc21

But it is not.
Comment 3 Jochen Schmitt 2013-10-23 10:55:30 EDT
Sorry, but scala-2.10.3-5.fc21 should works.
Comment 4 Jochen Schmitt 2013-10-29 12:32:41 EDT
Upstream plans to rename jline2 into jline in Rawhide.
Comment 5 Fedora Admin XMLRPC Client 2014-09-25 08:02:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Jaroslav Reznik 2015-03-03 11:56:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Mikolaj Izdebski 2015-05-20 10:21:06 EDT
Fixed in scala-2.10.4-3
Comment 8 Mikolaj Izdebski 2015-05-20 10:21:49 EDT
I believe that this bug is fixed in scala-2.10.4-3,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=638032

This bug was fixed in the next release of Fedora, and is not planned
to be fixed in the release it was filed against.  If you want this bug
to be fixed in Fedora 22, please say so in a comment.
Otherwise you can update to the newer release of Fedora to get the fix.

Note You need to log in before you can comment on or make changes to this bug.